/*

  This file is a part of GRALESHELL, a program to facilitate the simulation
  and inversion of gravitational lenses, based on the GRALE library.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#ifndef CMDCOSMOLOGY_H

#define CMDCOSMOLOGY_H

#include <shellp/shellcommand.h>

namespace shellp
{
	class ShellCmdStringArg;
	class ShellCmdRealArg;
}

class CmdCosmologyShow : public shellp::ShellCommand
{
public:
	CmdCosmologyShow(const std::string &cmdName);
	~CmdCosmologyShow();
	bool execute();
};

class CmdCosmologySet : public shellp::ShellCommand
{
public:
	CmdCosmologySet(const std::string &cmdName);
	~CmdCosmologySet();
	bool execute();
private:
	shellp::ShellCmdRealArg *m_pHArg;
	shellp::ShellCmdRealArg *m_pWmArg;
	shellp::ShellCmdRealArg *m_pWrArg;
	shellp::ShellCmdRealArg *m_pWvArg;
	shellp::ShellCmdRealArg *m_pWArg;
};

#endif // CMDCOSMOLOGY_H

