/*

  This file is a part of GRALESHELL, a program to facilitate the simulation
  and inversion of gravitational lenses, based on the GRALE library.

  Copyright (C) 2008-2012 Jori Liesenborgs

  Contact: jori.liesenborgs@gmail.com
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#ifndef CMDLENSESMPI_H

#define CMDLENSESMPI_H

#include "cmdlenses.h"

bool startLensPlotMPIHelper(std::string &errStr);

class CmdLensPlotGnuplotMPI : public CmdLensPlotGnuplot
{
public:
	CmdLensPlotGnuplotMPI(const std::string &cmdname);
	~CmdLensPlotGnuplotMPI();
private:
	grale::Real2DFunction *getPlotFunction(grale::GravitationalLens &lens) const;
};

class CmdLensPlotFITSMPI : public CmdLensPlotFITS
{
public:
	CmdLensPlotFITSMPI(const std::string &cmdname);
	~CmdLensPlotFITSMPI();
private:
	grale::Real2DFunction *getPlotFunction(grale::GravitationalLens &lens) const;
};

class CmdLensMassMPI : public CmdLensMass
{
public:
	CmdLensMassMPI(const std::string &cmdName);
	~CmdLensMassMPI();
private:
	grale::Real2DFunction *getPlotFunction(grale::GravitationalLens &lens) const;
};

#endif // CMDLENSESMPI_H

